Twrp 2.5.0.0


  1. Atma

    Atma Well-Known Member

    TWRP 2.5.0.0 just came out.

    Do not flash it with GooManager! *Edit - problem has been fixed now*

    For some reason flashing it through GooManager is soft bricking peoples phones. Using Odin and installing the .tar file works fine. 2.5.0.0 .tar file.

    Advertisement
    :
    jgreetham and dustwun77 like this.
  2. Atma

    Atma Well-Known Member

    It looks like the problem flashing with GooManager has been fixed. I just tried it with no problem and its working for other people.
  3. kepong

    kepong Active Member

    I currently has TWRP 2.3.1.1. Do I need TWRP 2.5 for flashing "latest ROM"? eg. "Telus JellyBeast SGH-T989D ROM-JB 4.1.2"

    Is this TWRP 2.5 compatible with S2X T989D?

    Please advise. Thanks.
  4. Atma

    Atma Well-Known Member

    Hi kepong. Yes it is compatible. Yes, I would update to 2.5. The new T-mobile based stock and custom roms have something called 'preload' that may need to be wiped. I don't think earlier versions of TWRP have that option.

    Jellybeast is a nice rom. I run the T-Mobile version of it.
    kepong likes this.
  5. kepong

    kepong Active Member

    Thanks Atma. Once upgraded to TWRP 2.5, can I still restore any of my backups from v 2.3.1.1?
  6. Atma

    Atma Well-Known Member


    You're welcome. :)

    Yes, the older backups will work.
  7. kepong

    kepong Active Member

    Great!!! Thanks again.:D

    I'll try to upgrade via GooManager
Loading...

Share This Page